import { ElementRef, OnDestroy, OnInit, TemplateRef } from '@angular/core';
import { VirtualScrollComponent } from '@lightweightform/core';
declare const TableComponent_base: any;
export declare class TableComponent extends TableComponent_base implements OnInit, OnDestroy {
    headerTemplate: TemplateRef<any>;
    rowTemplate: TemplateRef<any>;
    visibleHeader: ElementRef;
    scrollable: ElementRef;
    virtualScroll: VirtualScrollComponent;
    headerHeight: number;
    private _disposeOnActive;
    ngOnInit(): void;
    lfAfterInit(): void;
    ngOnDestroy(): void;
    setHeaderHeight(height: number): void;
    toggleAllRowsSelectedStatus(): void;
    pushRow(): void;
}
